# Makefile for Linux
# You will need to use "pdmake" to compile this, since everything
# uses spaces rather than tabs (I hate tabs).

#CC=cc
CC=gcc
COPTS=-O -DUNIX -DNO_QUICK
#COPTS=-O -I../../msgapi -DUNIX -DUSE_MSGAPI
#COPTS=-Wall

.c.o:
  $(CC) $(COPTS) -c $<

objs=ansi.o     \
     areas.o    \
     bmg.o      \
     config.o   \
     control.o  \
     date.o     \
     dialogs.o  \
     dirute.o   \
     dlgbox.o   \
     fido.o     \
     getopts.o  \
     help.o     \
     helpcmp.o  \
     helpinfo.o \
     init.o     \
     keycode.o  \
     list.o     \
     maintmsg.o \
     makemsgn.o \
     memextra.o \
     menu.o     \
     misc.o     \
     mnu.o      \
     msged.o    \
     mxbt.o     \
     normalc.o  \
     nshow.o    \
     patmat.o   \
     quick.o    \
     quote.o    \
     readmail.o \
     screen.o   \
     strextra.o \
     system.o   \
     template.o \
     textfile.o \
     userlist.o \
     vsev.o     \
     vsevops.o  \
     win.o      \
     wrap.o

msgedunx: $(objs)
#  $(CC) $(COPTS) -o msgedunx $(objs) ../../msgapi/msgapiu.a
  $(CC) $(COPTS) -o msgedunx $(objs)

